;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Document name: cfit.pro
; Created by:    Philip Judge, March 28, 2004
;
; Last Modified: Wed May 24 11:38:37 2006 by judge (judge) on macniwot.local
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
FUNCTION cfit3,nn,fit,plot = plot,parms = parms
;
@cdiper
COMMON therm,temp,tot
common another, ev
COMMON files,lu
;
z = lvl(0).ion
;lo=-10.
;hi=2.
;exp=lo+fit(0)*(hi-lo)
;o0=10.^exp/z
;exp=lo+fit(1)*(hi-lo)
;o1=10.^exp/z

; orig
o0 = fit(0)*fit(0)*fit(0)*fit(0)*10./z
;
;  energy range half way between first/last excited states
;
mx = ev*1.1
mn=ev/1.1
mn=0. & mx=max(lvl.ev)
;mn = ev(0)
;e0 = mn  + (mx-mn)*fit(3)/3.
;e1 = mn  + (mx-mn)/3. + (mx-mn)*fit(4)/3.
;e2 = mn  +(mx-mn)*2./3. + (mx-mn)*fit(5)/3.
;
e0 = mn+(fit(1))*(mx-mn)
;
mx=1.5
mn=-.5
expo=mn+(fit(2))*(mx-mn)

ff = 8.63e-06*(o0/temp^expo)*exp(-e0*ee/bk/temp)*e0*ee

lff = alog10(ff)
lto = alog10(tot)
cfit = total((lff-lto)*(lff-lto))/n_elements(lff)
cfit = 1./sqrt(cfit)
IF(n_elements(plot) NE 0) THEN BEGIN
   oplot,temp,ff,lines = 2
;   print,atomid
;   print,'Omega 0 Omega 1 Omega 2             E0    E1    E2'
;   print,o0,o1,o2,e0,e1,e2
;   print,'chi^2=',1./cfit
;   print,fit
   parms = [o0,e0,expo,1./cfit]
ENDIF
;
return,cfit
END


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; End of 'cfit.pro'.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
